package com.iformall.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 招商类型：0-商铺招租;1-其他
 */
public enum EnumInvestType {
	RENT(0, "商铺招租"),
	;

	public static EnumInvestType getEnum(Integer code) {
		for (EnumInvestType value : values()) {
			if (value.getCode().equals(code)) {
				return value;
			}
		}
		return null;
	}

    @EnumValue
	private final Integer code;
	private final String info;

	EnumInvestType(Integer code, String info) {
		this.code = code;
		this.info = info;
	}

	@JsonValue
	public Integer getCode() {
		return code;
	}

	public String getInfo() {
		return info;
	}
}
